diff -Nur hydra-5.4-src.orig/configure hydra-5.4-src/configure
--- hydra-5.4-src.orig/configure	2006-01-20 07:44:15.000000000 -0600
+++ hydra-5.4-src/configure	2009-07-05 21:21:59.288865180 -0500
@@ -35,11 +35,12 @@
 MANDIR=""
 XHYDRA_SUPPORT=""
 LIBDIRS=`cat /etc/ld.so.conf 2> /dev/null`
+EXTRA_LIBDIRS?=
 STRIP="strip"
 echo
 
 echo "Checking for openssl (libssl/ssl.h) ..."
-for i in  $LIBDIRS /lib  /usr/lib /usr/local/lib /opt/local/lib \
+for i in $EXTRA_LIBDIRS $LIBDIRS /lib  /usr/lib /usr/local/lib /opt/local/lib \
 /*ssl /usr/*ssl /opt/*ssl /usr/local/*ssl /opt/local/*ssl \
 /*ssl/lib /usr/*ssl/lib /opt/*ssl/lib /usr/local/*ssl/lib /opt/local/*ssl/lib .
 do
@@ -97,7 +98,7 @@
 fi
 
 echo "Checking for Postgres (libpq) ..."
-for i in  $LIBDIRS /lib  /usr/lib /usr/local/lib /opt/local/lib .
+for i in $EXTRA_LIBDIRS $LIBDIRS /lib  /usr/lib /usr/local/lib /opt/local/lib .
 do
     if [ "X" = "X$POSTGRES_PATH" ]; then
         if [ -f "$i/libpq.so" -o -f "$i/libpq.dylib" ]; then
@@ -118,11 +119,11 @@
     echo "                              ... NOT found, module postgres disabled"
 fi
 
-echo "Checking for SVN (ibsvn_client-1 libapr-0.so libaprutil-0.so) ..."
-for i in  $LIBDIRS /lib  /usr/lib /usr/local/lib /opt/local/lib .
+echo "Checking for SVN (ibsvn_client-1 libapr-1.so libaprutil-1.so) ..."
+for i in $EXTRA_LIBDIRS $LIBDIRS /lib  /usr/lib /usr/local/lib /opt/local/lib .
 do
     if [ "X" = "X$SVN_PATH" ]; then
-        if [ -f "$i/libsvn_client-1.so" ]&&[ -f "$i/libapr-0.so" ]&&[ -f "$i/libaprutil-0.so" ]; then
+        if [ -f "$i/libsvn_client-1.so" ]&&[ -f "$i/libapr-1.so" ]&&[ -f "$i/libaprutil-1.so" ]; then
             SVN_PATH="$i"
         fi
     fi
@@ -143,7 +144,7 @@
 fi
 
 echo "Checking for SAP/R3 (librfc/saprfc.h) ..."
-for i in  $LIBDIRS /lib  /usr/lib /usr/local/lib /opt/local/lib .
+for i in $EXTRA_LIBDIRS $LIBDIRS /lib  /usr/lib /usr/local/lib /opt/local/lib .
 do
     if [ "X" = "X$SAPR3_PATH" ]; then
         if [ -f "$i/librfc.a" -o -f "$i/librfc.dylib" -o "$i/librfc32.dll" ]; then
@@ -183,7 +184,7 @@
 fi
 
 echo "Checking for libssh (libssh/libssh.h) ..."
-for i in  $LIBDIRS /lib  /usr/lib /usr/local/lib /opt/local/lib .
+for i in $EXTRA_LIBDIRS $LIBDIRS /lib  /usr/lib /usr/local/lib /opt/local/lib .
 do
     if [ "X" = "X$SSH_PATH" ]; then
         if [ -f "$i/libssh.so" -o -f "$i/libssh.dylib" ]; then
@@ -202,8 +203,8 @@
         fi
     fi  
     if [ "X" = "X$APR_IPATH" ]; then
-        if [ -d "$i/apr-0" ]; then
-            APR_IPATH="$i/apr-0"
+        if [ -d "$i/apr-1" ]; then
+            APR_IPATH="$i/apr-1"
         fi
     fi  
 done
@@ -220,8 +221,8 @@
         fi
     fi  
     if [ "X" = "X$APR_IPATH" ]; then
-        if [ -d "$i/apr-0" ]; then
-            APR_IPATH="$i/apr-0"
+        if [ -d "$i/apr-1" ]; then
+            APR_IPATH="$i/apr-1"
         fi
     fi  
 done
@@ -243,11 +244,11 @@
 
 if [ -n "$SSH_PATH" ]; then
     echo "                                      ... found"
-    echo 'NOTE: ensure that you have libssh v0.11 installed!! Get it from http://0xbadc0de.be !'
+    echo 'NOTE: ensure that you have libssh v0.4 installed!! Get it from http://0xbadc0de.be !'
 fi
 if [ "X" = "X$SSH_PATH" ]; then
     echo "                                      ... NOT found, module ssh2 disabled"
-    echo 'Get it from http://0xbadc0de.be/ - use v0.11!'
+    echo 'Get it from http://0xbadc0de.be/ - use v0.4 or later!'
 fi
 if [ "$SSH_IPATH" = "/usr/include" ]; then
     SSH_IPATH=""
@@ -262,7 +263,7 @@
 SYS=`uname -s`
 if [ "$SYS" = "SunOS" ]; then
     echo "Checking for Solaris libraries ..."
-    for i in  /lib /usr/lib /usr/local/lib $LIBDIRS .
+    for i in  /lib /usr/lib /usr/local/lib $EXTRA_LIBDIRS $LIBDIRS .
     do
         if [ "X" = "X$NSL_PATH" ]; then
             if [ -f "$i/libnsl.so" ]; then
@@ -334,6 +335,9 @@
 if [ -n "$SSH_PATH" ]; then
     XDEFINES="$XDEFINES -DLIBSSH"
 fi
+
+XDEFINES="$XDEFINES -D_GNU_SOURCE"
+
 OLDPATH=""
 for i in $SSL_PATH $CRYPTO_PATH $SSH_PATH $NSL_PATH $SOCKET_PATH $RESOLV_PATH $SAPR3_PATH $POSTGRES_PATH $SVN_PATH; do
     if [ "$OLDPATH" = "$i" ]; then
@@ -379,10 +383,10 @@
     XLIBS="$XLIBS -lpq"
 fi
 if [ -n "$SVN_PATH" ]; then
-    XLIBS="$XLIBS -lsvn_client-1 -lapr-0 -laprutil-0"
+    XLIBS="$XLIBS -lsvn_client-1 -lapr-1 -laprutil-1"
 fi
 if [ -n "$SVN_PATH" ]; then
-    XLIBS="$XLIBS -lsvn_client-1 -lapr-0 -laprutil-0"
+    XLIBS="$XLIBS -lsvn_client-1 -lapr-1 -laprutil-1"
 fi
 if [ -n "$SSH_PATH" ]; then
     XLIBS="$XLIBS -lssh"
